"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308680>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83087C0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308720>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308860>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308900>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83089A0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308A40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308AE0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308B80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308C20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308CC0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308D60>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308E00>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308EA0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308F40>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8308FE0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309080>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309120>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83091C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309260>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309300>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83093A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309440>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83094E0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309580>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309620>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83096C0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309760>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309800>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83098A0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309940>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB83099E0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309A80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309B20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309BC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309C60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309D00>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309DA0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309E40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309EE0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB8309F80>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A020>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A0C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A200>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A2A0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A340>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A3E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A480>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A520>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A5C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A660>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A7A0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A840>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A8E0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830A980>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AA20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AAC0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AB60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AC00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830ACA0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AD40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830ADE0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AE80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AF20>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830AFC0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B060>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B100>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B1A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B240>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B2E0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B380>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B420>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B4C0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B560>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B600>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B6A0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B740>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B880>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B7E0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B920>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830B9C0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830BA60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000022FB830BB00>)]
name: str = 'fr_HOCCN'
